---
version: '3.7'
services:
  runner:
    build:
      context: ./
    environment:
      CI_SERVER_URL: "${CI_SERVER_URL:-https://git.shore.co.il}"
      DOCKER_IMAGE: docker:19.03
      REGISTRATION_TOKEN: "${REGISTRATION_TOKEN}"
      RUNNER_NAME: "${RUNNER_NAME}"
    image: adarnimrod/gitlab-runner
    restart: always
    volumes:
      - config:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock

volumes:
  config:

networks:
  default:
    name: shore
